# 使用Composer安装/更新SD框架 [TOC] 不建议通过Git直接拉SD的源码,请通过Composer安装。 # 安装 建立composer.json如下,可以根据需要添加你所依赖的库,但下面一定得包含在内,autoload必须要指定app和test的目录不得省略。 ```json { "require": { "tmtbe/swooledistributed":">3.2.6" }, "autoload": { "psr-4": { "app\\": "src/app", "test\\": "src/test" } } } ``` 运行 ``` composer install ``` 运行脚手架工具安装框架 ``` php vendor/tmtbe/swooledistributed/src/Install.php ``` 会自动建立src目录,和一些代码。 # 更新 运行 ``` composer update ``` 重新运行脚手架工具安装框架 ``` php vendor/tmtbe/swooledistributed/src/Install.php ``` 启动服务器后如果出现配置文件兼容性问题,需要手动替换配置文件目录。